ACD Systems' Photo Service Provider

With ACDSee’s photo service provider, you can order quality prints of your favourite digital images over the Internet from independent photo service providers. You can use ACDSee to store and enhance your photos, and then send your photos to the photo service provider’s Web site without opening an Internet browser or another application. The photo service provider links are listed in the Order Prints pane.

To access the Order Prints pane:

  1. Click the Print shortcut button.

  2. Click the Order Prints shortcut button.

To access the Order Prints Help:

Click Help in the lower part of the Order Prints pane.